Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 36494 - Write an assistent tool for replacement of classpath in build scripts
Write an assistent tool for replacement of classpath in build scripts
Status: VERIFIED WONTFIX
Product: www
Classification: Unclassified
Component: Builds & Repositories
3.x
PC Linux
: P2 (vote)
: 4.x
Assigned To: Jaroslav Tulach
nbbuild-issues@ide
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-08 13:54 UTC by Jaroslav Tulach
Modified: 2005-05-13 18:11 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
core/settings after being fixed by fixer rev. 1.1.2.4 (6.11 KB, patch)
2003-10-09 10:05 UTC, Jaroslav Tulach
Details | Diff
The changes used back in assistent_36494 branch (14.25 KB, patch)
2005-05-13 18:11 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2003-10-08 13:54:28 UTC
Write a tool that will assist during changes in
build scripts due to separation of move of a JAR
into different location.
Comment 1 Jaroslav Tulach 2003-10-08 13:56:19 UTC
Branched part of nbbuild:
nbbuild/antsrc/org/netbeans/nbbuild$ cvs tag -b assistent_36494
Comment 2 _ ttran 2003-10-08 14:17:06 UTC
"assistent" -> "assistant" ;-)
Comment 3 Jaroslav Tulach 2003-10-09 10:02:18 UTC
I think I have reached point when the fixing script really does
something useful. I am going to attach diff of output of following
execution:

java -cp nbbuild/antsrc org.netbeans.nbbuild.FixClassPath 
     --main nbbuild/build.xml core/settings/build.xml

I am removing OpenIDE-Module-IDE dependency tag and replacing it with
OpenIDE-Module-Module ones. I hope this is the right thing. PS: I will
remove /1 from all openide modules later.
Comment 4 Jaroslav Tulach 2003-10-09 10:05:27 UTC
Created attachment 11823 [details]
core/settings after being fixed by fixer rev. 1.1.2.4
Comment 5 Jesse Glick 2003-10-09 19:55:49 UTC
1. Check the diff, the OIDE-M-M-D line is broken in the manifest (many
duplicates).

2. Probably it would rather be correct to:

a. *Add* the necessary new module deps but retain the OIDE-M-I-D entry
with a new spec version (e.g. 4.20).

b. Add a module auto dep XML file to openide which would give auto
deps on all separated (pseudo-)modules unless OIDE-M-I-D (~
org.openide/1) is at least 4.20.

That would preserve compatibility for old binary modules, while still
updating our own.

BTW all this relating to the manifests only applies to the
"Modularization" separation stage, and is not necessary for the
"Independent JAR files" stage. Right? Although I suppose it would not
hurt to set up the module dependencies during the second stage.
Comment 6 Jaroslav Tulach 2004-04-07 14:52:45 UTC
Probably not important if we create projectized builds.
Comment 7 Jesse Glick 2004-04-07 16:53:27 UTC
Right.
Comment 8 Jaroslav Tulach 2005-05-13 18:11:09 UTC
Created attachment 22129 [details]
The changes used back in assistent_36494 branch


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo